
From: Alasdair G Kergon <agk@redhat.com>

Tag multipath exports GPL.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-hw-handler.c    |    6 +++---
 25-akpm/drivers/md/dm-mpath.c         |    2 +-
 25-akpm/drivers/md/dm-path-selector.c |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/md/dm-hw-handler.c~device-mapper-tag-multipath-exports-gpl drivers/md/dm-hw-handler.c
--- 25/drivers/md/dm-hw-handler.c~device-mapper-tag-multipath-exports-gpl	2005-02-16 13:45:16.000000000 -0800
+++ 25-akpm/drivers/md/dm-hw-handler.c	2005-02-16 13:45:16.000000000 -0800
@@ -211,6 +211,6 @@ unsigned dm_scsi_err_handler(struct hw_h
 	return MP_FAIL_PATH;
 }
 
-EXPORT_SYMBOL(dm_register_hw_handler);
-EXPORT_SYMBOL(dm_unregister_hw_handler);
-EXPORT_SYMBOL(dm_scsi_err_handler);
+EXPORT_SYMBOL_GPL(dm_register_hw_handler);
+EXPORT_SYMBOL_GPL(dm_unregister_hw_handler);
+EXPORT_SYMBOL_GPL(dm_scsi_err_handler);
diff -puN drivers/md/dm-mpath.c~device-mapper-tag-multipath-exports-gpl drivers/md/dm-mpath.c
--- 25/drivers/md/dm-mpath.c~device-mapper-tag-multipath-exports-gpl	2005-02-16 13:45:16.000000000 -0800
+++ 25-akpm/drivers/md/dm-mpath.c	2005-02-16 13:45:16.000000000 -0800
@@ -1292,7 +1292,7 @@ static void __exit dm_multipath_exit(voi
 	kmem_cache_destroy(_mpio_cache);
 }
 
-EXPORT_SYMBOL(dm_pg_init_complete);
+EXPORT_SYMBOL_GPL(dm_pg_init_complete);
 
 module_init(dm_multipath_init);
 module_exit(dm_multipath_exit);
diff -puN drivers/md/dm-path-selector.c~device-mapper-tag-multipath-exports-gpl drivers/md/dm-path-selector.c
--- 25/drivers/md/dm-path-selector.c~device-mapper-tag-multipath-exports-gpl	2005-02-16 13:45:16.000000000 -0800
+++ 25-akpm/drivers/md/dm-path-selector.c	2005-02-16 13:45:16.000000000 -0800
@@ -152,5 +152,5 @@ int dm_unregister_path_selector(struct p
 	return 0;
 }
 
-EXPORT_SYMBOL(dm_register_path_selector);
-EXPORT_SYMBOL(dm_unregister_path_selector);
+EXPORT_SYMBOL_GPL(dm_register_path_selector);
+EXPORT_SYMBOL_GPL(dm_unregister_path_selector);
_
